Get an order
GET
/api/v1/orders/{id}
const url = 'https://trongas.ai/api/v1/orders/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {'X-Api-Key': '<X-Api-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://trongas.ai/api/v1/orders/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'X-Api-Key: <X-Api-Key>'Fetch one of your orders by id. 404 if it does not exist or belongs to someone else.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “ Responses ”OK
object
id
required
string format: uuid
resource
required
string
targetAddress
required
string
volume
required
integer | string format: int64
duration
required
string
priceTrx
required
string
activationTrx
required
string
totalTrx
required
string
status
required
string
txId
required
null | string
createdAt
required
string format: date-time
object
id
required
string format: uuid
resource
required
string
targetAddress
required
string
volume
required
integer | string format: int64
duration
required
string
priceTrx
required
string
activationTrx
required
string
totalTrx
required
string
status
required
string
txId
required
null | string
createdAt
required
string format: date-time
Examplegenerated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "resource": "example", "targetAddress": "example", "volume": 1, "duration": "example", "priceTrx": "example", "activationTrx": "example", "totalTrx": "example", "status": "example", "txId": "example", "createdAt": "2026-04-15T12:00:00Z"}object
id
required
string format: uuid
resource
required
string
targetAddress
required
string
volume
required
integer | string format: int64
duration
required
string
priceTrx
required
string
activationTrx
required
string
totalTrx
required
string
status
required
string
txId
required
null | string
createdAt
required
string format: date-time
Examplegenerated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "resource": "example", "targetAddress": "example", "volume": 1, "duration": "example", "priceTrx": "example", "activationTrx": "example", "totalTrx": "example", "status": "example", "txId": "example", "createdAt": "2026-04-15T12:00:00Z"}Not Found
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}